Lavalite package that provides advertisement management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `litecms/advertisement`.

    "litecms/advertisement": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Litecms\Advertisement\Providers\AdvertisementServiceProvider::class,

And also add it to alias

    'Advertisement'  => Litecms\Advertisement\Facades\Advertisement::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Litecms\\AdvertisementTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Litecms\Advertisement\Providers\AdvertisementServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Litecms\Advertisement\Providers\AdvertisementServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Litecms\Advertisement\Providers\AdvertisementServiceProvider" --tag="view"


## Usage


